#include <stddef.h>

#ifndef _WIN32
#include <sys/time.h>
#else
#include <windows.h>
#endif


double getsec(void)
{
#ifndef _WIN32
	int rtn;
	struct timeval tp;

	rtn = gettimeofday(&tp, NULL);
	return((double)tp.tv_sec+(1.e-6)*tp.tv_usec);
#else   
	static LARGE_INTEGER m_timeThisFrame;
	static LARGE_INTEGER m_countsPerSec;
	static int initialized = 0;
	static double m_timeFrequency;

	if (!initialized)
	{       
		initialized = 1;
		QueryPerformanceFrequency(&m_countsPerSec);
		m_timeFrequency = (double)m_countsPerSec.QuadPart;
	}

	QueryPerformanceCounter(&m_timeThisFrame);
	return ((double) m_timeThisFrame.QuadPart / m_timeFrequency);
#endif
}
